package _VisualDVM.TestingSystem.SAPFOR.SapforTasksPackage.UI;
import Common.Utils.Utils_;

import javax.swing.*;
import javax.swing.tree.DefaultMutableTreeNode;
public abstract class SapforPackageTreeNode extends DefaultMutableTreeNode {
    public ImageIcon getIcon() {
        ImageIcon res = new ImageIcon((getClass().getResource("/icons/versions/" + getImageKey() + ".png")));
        if (res == null) {
            Utils_.MainLog.Print("/icons/versions/" + getImageKey() + ".png=NULL");
            //  res= new ImageIcon((getClass().getResource("/icons/versions/Version.png")));
        }
        return (getImageKey() != null) ? res : null;
    }
    public abstract String getImageKey();
}
